WDSC(4)

NAME
wdsc - Western Digital WD33c93 SCSI Bus Interface Controller

SYNOPSIS
wdsc* at hpc? offset ?

DESCRIPTION
The wdsc driver provides an abstraction layer between the SCSI hardware found in multitudinous SGI machines (including Personal Iris series, Indigo, Indy, Challenge S, Indigo2, and Challenge M) and the machine independent SCSI drivers described in scsibus(4).

In addition to sending the required SCSI commands to target devices on the SCSI bus, the wdsc driver deals with DMA, device interrupts, sync/async negotiation, and target disconnects/reconnects.

SEE ALSO
scsibus(4), sgimips/hpc(4)

HISTORY
Wayne Knowles ported the sgimips incarnation of the wdsc driver from the amiga and atari ports. It first appeared in NetBSD 1.6.